import { reactive } from "vue"

// 户型
const roomType = [
  {
    label: '一室',
    value: '1',
  },
  {
    label: '两室',
    value: '2',
  },
  {
    label: '三室',
    value: '3',
  },
  {
    label: '三室以上',
    value: '4',
  },
]

// 实勘状态
const rescStatus = [
  {
    label: '已实勘',
    value: '0',
  },
  {
    label: '待审核',
    value: '1',
  },
  {
    label: '未实勘',
    value: '9',
  },
]

// 钥匙状态
const keyStatus = [
  {
    label: '有钥匙',
    value: '0',
  },
  {
    label: '待审核',
    value: '1',
  },
  {
    label: '无钥匙',
    value: '9',
  },
]

// 业主委托
const authStatus = [
  {
    label: '有委托',
    value: '0',
  },
  {
    label: '待审核',
    value: '1',
  },
  {
    label: '无委托',
    value: '9',
  },
]

// 电梯
const elevator = [
  {
    label: '有',
    value: '0',
  },
  {
    label: '无',
    value: '1',
  },
]

// 带看
const lookTimes = [
  {
    label: '有',
    value: '1',
  },
  {
    label: '无',
    value: '0',
  },
]

// 锁盘
const lockRoom = [
  {
    label: '未锁盘',
    value: '0',
  },
  {
    label: '锁盘已关联',
    value: '1',
  },
  {
    label: '锁盘未关联',
    value: '2',
  },
]


export default () => {
  const dicts = reactive({
    roomType,
    rescStatus,
    keyStatus,
    authStatus,
    elevator,
    lookTimes,
    lockRoom,
  })

  const getDict = key => {
    request({
      url: '/comm/dict',
      params: { groupCode: key }
    }).then(res => {
      dicts[key] = res
    })
  }

  //
  const getBusinessCity = (areaType, pcode) => {
    if (1 === areaType) {
      pcode = '025'
    }

    request({
      url: '/comm/dict/business-city',
      params: { areaType, pcode }
    }).then(res => {
      if (1 === type) {
        // 区县
        dicts['roomDistrict'] = res
      } else {
        // 商圈
        dicts['roomDistrict'] = res
      }
    })
  }

  return { dicts, getDict, getBusinessCity }
}
